apiVersion: batch/v1
kind: Job
metadata:
  name: {{ .Values.appName }}-introspection
  labels:
    job-name: {{ .Values.appName }}-introspection
  annotations:
    argocd.argoproj.io/sync-wave: "-1"
    argocd.argoproj.io/hook: Sync 
    argocd.argoproj.io/hook-delete-policy: HookSucceeded
spec:
  backoffLimit: 0
  selector:
    matchLabels:
      job-name: {{ .Values.appName }}-introspection
  template:
    metadata:
      annotations:
        linkerd.io/inject: "disabled"
      name: {{ .Values.appName }}-introspection
      labels:
        job-name: {{ .Values.appName }}-introspection
    spec:
      containers:
      - name: {{ .Values.appName }}-introspection
        image: {{ .Values.ecrAddress }}/graphql-introspection-job:{{ .Values.introspection.jobImageTag }}
        envFrom:
        - secretRef:
            name: graphql-introspection-job
        command: ["/bin/sh"]
        args: ["-c", "rover subgraph introspect {{ .Values.introspection.localEndpoint }} -H isInternal:true | APOLLO_KEY=$APOLLO_KEY rover subgraph publish {{ .Values.introspection.apolloGraphName }}@{{ .Values.introspection.clusterName }} --schema - --name {{ .Values.introspection.apolloServiceName }} --routing-url {{ .Values.introspection.serviceURL }}"]
        imagePullPolicy: Always
      restartPolicy: Never